{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    katex-html.url = "git+https://dev.danilafe.com/Nix-Configs/katex-html";
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
    blog-source-localized = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      ref = "localization";
      type = "git";
      submodules = true;
    };
  };

  outputs = { self, blog-source, blog-source-localized, nixpkgs, flake-utils, katex-html }:
    {
      buildersFor = system: import ./lib.nix {
        inherit blog-source blog-source-localized;
        pkgs = import nixpkgs { inherit system; };
	katex-html = katex-html.defaultPackage.${system};
      };
      nixosModule = (import ./module.nix);
      packages.x86_64-linux.blog-debug = (import ./lib.nix {
        inherit blog-source blog-source-localized;
	pkgs = import nixpkgs { system = "x86_64-linux"; };
	katex-html = katex-html.defaultPackage."x86_64-linux";
      }).english { host = "danilafe.com"; };
    };
}
